GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

CPLWorkerThreadPool Member List

This is the complete list of members for CPLWorkerThreadPool, including all inherited members.

CPLWorkerThreadPool() | CPLWorkerThreadPool |
GetThreadCount() const | CPLWorkerThreadPool | inline
Setup(int nThreads, CPLThreadFunc pfnInitFunc, void **pasInitData) | CPLWorkerThreadPool |
SubmitJob(CPLThreadFunc pfnFunc, void *pData) | CPLWorkerThreadPool |
SubmitJobs(CPLThreadFunc pfnFunc, const std::vector< void * > &apData) | CPLWorkerThreadPool |
WaitCompletion(int nMaxRemainingJobs=0) | CPLWorkerThreadPool |
~CPLWorkerThreadPool() | CPLWorkerThreadPool |

Generated for GDAL by 1.8.9.1.